com.fasterxml.jackson.databind.deser

## Class UnresolvedId

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.UnresolvedId

-     public class UnresolvedId
      extends java.lang.Object

  Helper class for `UnresolvedForwardReference`, to contain information about unresolved ids.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedId(java.lang.Object id, java.lang.Class<?> type, com.fasterxml.jackson.core.JsonLocation where)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getId()` The id which is unresolved.
    `com.fasterxml.jackson.core.JsonLocation` | `getLocation()`
    `java.lang.Class<?>` | `getType()` The type of object which was expected.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedId

          public UnresolvedId(java.lang.Object id,
                      java.lang.Class<?> type,
                      com.fasterxml.jackson.core.JsonLocation where)

  - ### Method Detail

    - #### getId

          public java.lang.Object getId()

      The id which is unresolved.

    - #### getType

          public java.lang.Class<?> getType()

      The type of object which was expected.

    - #### getLocation

          public com.fasterxml.jackson.core.JsonLocation getLocation()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`